package com.ruoyi.base.domain;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.common.core.domain.entity.SysMenu;

import java.io.Serializable;
import java.util.List;
import java.util.stream.Collectors;

/**
 * baseCabinetInfoTreeSelects
 *
 * @author zangch
 */
public class baseCabinetInfoTreeSelects implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private Long id;

    /** 节点名称 */
    private String label;

    private String code;

    /** 子节点 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<baseCabinetInfoTreeSelects> children;

    public baseCabinetInfoTreeSelects()
    {

    }

    public baseCabinetInfoTreeSelects(SysDept dept)
    {
        this.id = dept.getDeptId();
        this.label = dept.getDeptName();

    }

    public baseCabinetInfoTreeSelects(BaseCabinetInfo baseCabinetInfo){
        this.id = baseCabinetInfo.getObjId();
        this.label = baseCabinetInfo.getCabinetAlias();
        this.code = baseCabinetInfo.getCabinetCode().toString();

    }


    public baseCabinetInfoTreeSelects(BaseBusbarInfo baseBusbarInfo) {
        this.id = baseBusbarInfo.getObjId();
        this.label = baseBusbarInfo.getBusbarAlias();
        this.code = baseBusbarInfo.getBusbarCode().toString();

    }

    public baseCabinetInfoTreeSelects(SysMenu menu)
    {
        this.id = menu.getMenuId();
        this.label = menu.getMenuName();

    }


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

    public List<baseCabinetInfoTreeSelects> getChildren()
    {
        return children;
    }

    public void setChildren(List<baseCabinetInfoTreeSelects> children)
    {
        this.children = children;
    }
}
